[
    {
        "Id": "6fd14bae237666af92a20699a5bf8c092a9a1d135ae8f39e691d6047fb4521f7",
        "Created": "2025-06-09T16:21:36.413462294Z",
        "Path": "/usr/bin/dumb-init",
        "Args": [
            "--",
            "extra/entrypoint.sh",
            "node",
            "server/server.js"
        ],
        "State": {
            "Status": "running",
            "Running": true,
            "Paused": false,
            "Restarting": false,
            "OOMKilled": false,
            "Dead": false,
            "Pid": 2354,
            "ExitCode": 0,
            "Error": "",
            "StartedAt": "2025-07-23T23:55:34.321930873Z",
            "FinishedAt": "2025-07-23T23:54:56.531218218Z",
            "Health": {
                "Status": "healthy",
                "FailingStreak": 0,
                "Log": [
                    {
                        "Start": "2025-08-24T02:22:31.353703868Z",
                        "End": "2025-08-24T02:22:31.455893843Z",
                        "ExitCode": 0,
                        "Output": "2025/08/24 02:22:31 Checking http://127.0.0.1:3001\n2025/08/24 02:22:31 Health Check OK [Res Code: 200]\n"
                    },
                    {
                        "Start": "2025-08-24T02:23:31.456870597Z",
                        "End": "2025-08-24T02:23:31.564778469Z",
                        "ExitCode": 0,
                        "Output": "2025/08/24 02:23:31 Checking http://127.0.0.1:3001\n2025/08/24 02:23:31 Health Check OK [Res Code: 200]\n"
                    },
                    {
                        "Start": "2025-08-24T02:24:31.56576261Z",
                        "End": "2025-08-24T02:24:31.666139003Z",
                        "ExitCode": 0,
                        "Output": "2025/08/24 02:24:31 Checking http://127.0.0.1:3001\n2025/08/24 02:24:31 Health Check OK [Res Code: 200]\n"
                    },
                    {
                        "Start": "2025-08-24T02:25:31.667350763Z",
                        "End": "2025-08-24T02:25:31.772952707Z",
                        "ExitCode": 0,
                        "Output": "2025/08/24 02:25:31 Checking http://127.0.0.1:3001\n2025/08/24 02:25:31 Health Check OK [Res Code: 200]\n"
                    },
                    {
                        "Start": "2025-08-24T02:26:31.774066561Z",
                        "End": "2025-08-24T02:26:31.8582654Z",
                        "ExitCode": 0,
                        "Output": "2025/08/24 02:26:31 Checking http://127.0.0.1:3001\n2025/08/24 02:26:31 Health Check OK [Res Code: 200]\n"
                    }
                ]
            }
        },
        "Image": "sha256:542ef8cfcae209bef49dfe85d9e8aa92fbbd5fc83187fe6b695f08a661c691be",
        "ResolvConfPath": "/var/lib/docker/containers/6fd14bae237666af92a20699a5bf8c092a9a1d135ae8f39e691d6047fb4521f7/resolv.conf",
        "HostnamePath": "/var/lib/docker/containers/6fd14bae237666af92a20699a5bf8c092a9a1d135ae8f39e691d6047fb4521f7/hostname",
        "HostsPath": "/var/lib/docker/containers/6fd14bae237666af92a20699a5bf8c092a9a1d135ae8f39e691d6047fb4521f7/hosts",
        "LogPath": "/var/lib/docker/containers/6fd14bae237666af92a20699a5bf8c092a9a1d135ae8f39e691d6047fb4521f7/6fd14bae237666af92a20699a5bf8c092a9a1d135ae8f39e691d6047fb4521f7-json.log",
        "Name": "/uptime-kuma",
        "RestartCount": 0,
        "Driver": "overlay2",
        "Platform": "linux",
        "MountLabel": "",
        "ProcessLabel": "",
        "AppArmorProfile": "docker-default",
        "ExecIDs": null,
        "HostConfig": {
            "Binds": [
                "/home/jon/homelab/monitoring/uptime-kuma:/app/data:rw"
            ],
            "ContainerIDFile": "",
            "LogConfig": {
                "Type": "json-file",
                "Config": {
                    "max-file": "3",
                    "max-size": "10m"
                }
            },
            "NetworkMode": "monitoring-net",
            "PortBindings": {
                "3001/tcp": [
                    {
                        "HostIp": "",
                        "HostPort": "3001"
                    }
                ]
            },
            "RestartPolicy": {
                "Name": "unless-stopped",
                "MaximumRetryCount": 0
            },
            "AutoRemove": false,
            "VolumeDriver": "",
            "VolumesFrom": null,
            "ConsoleSize": [
                0,
                0
            ],
            "CapAdd": null,
            "CapDrop": null,
            "CgroupnsMode": "private",
            "Dns": [],
            "DnsOptions": [],
            "DnsSearch": [],
            "ExtraHosts": [],
            "GroupAdd": null,
            "IpcMode": "private",
            "Cgroup": "",
            "Links": null,
            "OomScoreAdj": 0,
            "PidMode": "",
            "Privileged": false,
            "PublishAllPorts": false,
            "ReadonlyRootfs": false,
            "SecurityOpt": null,
            "UTSMode": "",
            "UsernsMode": "",
            "ShmSize": 67108864,
            "Runtime": "runc",
            "Isolation": "",
            "CpuShares": 0,
            "Memory": 536870912,
            "NanoCpus": 1000000000,
            "CgroupParent": "",
            "BlkioWeight": 0,
            "BlkioWeightDevice": null,
            "BlkioDeviceReadBps": null,
            "BlkioDeviceWriteBps": null,
            "BlkioDeviceReadIOps": null,
            "BlkioDeviceWriteIOps": null,
            "CpuPeriod": 0,
            "CpuQuota": 0,
            "CpuRealtimePeriod": 0,
            "CpuRealtimeRuntime": 0,
            "CpusetCpus": "",
            "CpusetMems": "",
            "Devices": null,
            "DeviceCgroupRules": null,
            "DeviceRequests": null,
            "MemoryReservation": 0,
            "MemorySwap": 1073741824,
            "MemorySwappiness": null,
            "OomKillDisable": null,
            "PidsLimit": null,
            "Ulimits": [
                {
                    "Name": "nofile",
                    "Hard": 2048,
                    "Soft": 1024
                }
            ],
            "CpuCount": 0,
            "CpuPercent": 0,
            "IOMaximumIOps": 0,
            "IOMaximumBandwidth": 0,
            "MaskedPaths": [
                "/proc/asound",
                "/proc/acpi",
                "/proc/kcore",
                "/proc/keys",
                "/proc/latency_stats",
                "/proc/timer_list",
                "/proc/timer_stats",
                "/proc/sched_debug",
                "/proc/scsi",
                "/sys/firmware",
                "/sys/devices/virtual/powercap"
            ],
            "ReadonlyPaths": [
                "/proc/bus",
                "/proc/fs",
                "/proc/irq",
                "/proc/sys",
                "/proc/sysrq-trigger"
            ]
        },
        "GraphDriver": {
            "Data": {
                "LowerDir": "/var/lib/docker/overlay2/bd850def42e5f1ffe8aa9db20670d6e31115c303c4f31b035d5c5e5b4ed76798-init/diff:/var/lib/docker/overlay2/8a1bad009b1ef43a7603bef370434f3a4e7ff885a2e47244b02051ec4079c035/diff:/var/lib/docker/overlay2/c942db97a9a1897366a38f5ef3ca9de3c71e03fa506b0bfc4c25fc6c14ed14a8/diff:/var/lib/docker/overlay2/4abd1268a7b71303b6fe476285dc9220fd07d6d7284c7a242245656ecee49e88/diff:/var/lib/docker/overlay2/9abe4218dc1cdc353cef74d1f9ce2a4931c5615c0cf12fc31dafd7f24610de4d/diff:/var/lib/docker/overlay2/b5ca337d37771a8c76bfc515b49df76dc4ff4dcf92b35cbca0cc4a7e3c35d339/diff:/var/lib/docker/overlay2/cc1511f01a63a5885b08b5c0b107cd464ae83319fc23b5f7772c56545c2fefa3/diff:/var/lib/docker/overlay2/da3b53fda0995811c006a0a290f962b81ecbeaf50da4beb330591f218ad78f3b/diff:/var/lib/docker/overlay2/3c71cdad1ae866b49a83af66a8a93bda367ebe6f1dce8201654e336e2fef2189/diff:/var/lib/docker/overlay2/de18e2cf630f4817f409f62e10804ba866f848b121af5606679898d8f8d6593e/diff:/var/lib/docker/overlay2/37270d0a159b755748255d19ce69ed9ad9f087faee4ca69acde8e4189a27394a/diff:/var/lib/docker/overlay2/df2a4eae64fad7be29c7907d9a677dc3a1c7de32501c3ba25c7ec8811b067fb2/diff:/var/lib/docker/overlay2/1b83e7ead40800f69f654305379eb2cbdb0e150fde4abd5c3aba77486f546f5e/diff",
                "MergedDir": "/var/lib/docker/overlay2/bd850def42e5f1ffe8aa9db20670d6e31115c303c4f31b035d5c5e5b4ed76798/merged",
                "UpperDir": "/var/lib/docker/overlay2/bd850def42e5f1ffe8aa9db20670d6e31115c303c4f31b035d5c5e5b4ed76798/diff",
                "WorkDir": "/var/lib/docker/overlay2/bd850def42e5f1ffe8aa9db20670d6e31115c303c4f31b035d5c5e5b4ed76798/work"
            },
            "Name": "overlay2"
        },
        "Mounts": [
            {
                "Type": "bind",
                "Source": "/home/jon/homelab/monitoring/uptime-kuma",
                "Destination": "/app/data",
                "Mode": "rw",
                "RW": true,
                "Propagation": "rprivate"
            }
        ],
        "Config": {
            "Hostname": "6fd14bae2376",
            "Domainname": "",
            "User": "",
            "AttachStdin": false,
            "AttachStdout": true,
            "AttachStderr": true,
            "ExposedPorts": {
                "3001/tcp": {}
            },
            "Tty": false,
            "OpenStdin": false,
            "StdinOnce": false,
            "Env": [
                "PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin",
                "NODE_VERSION=18.20.3",
                "YARN_VERSION=1.22.19",
                "UPTIME_KUMA_IS_CONTAINER=1"
            ],
            "Cmd": [
                "node",
                "server/server.js"
            ],
            "Healthcheck": {
                "Test": [
                    "CMD-SHELL",
                    "extra/healthcheck"
                ],
                "Interval": 60000000000,
                "Timeout": 30000000000,
                "StartPeriod": 180000000000,
                "Retries": 5
            },
            "Image": "louislam/uptime-kuma:latest",
            "Volumes": {
                "/app/data": {}
            },
            "WorkingDir": "/app",
            "Entrypoint": [
                "/usr/bin/dumb-init",
                "--",
                "extra/entrypoint.sh"
            ],
            "OnBuild": null,
            "Labels": {
                "com.docker.compose.config-hash": "ab8d384b1e6ba6297f6340399a907a25f7ffd3359413fae262b52383f9959a55",
                "com.docker.compose.container-number": "1",
                "com.docker.compose.depends_on": "",
                "com.docker.compose.image": "sha256:542ef8cfcae209bef49dfe85d9e8aa92fbbd5fc83187fe6b695f08a661c691be",
                "com.docker.compose.oneoff": "False",
                "com.docker.compose.project": "monitoring",
                "com.docker.compose.project.config_files": "/home/jon/homelab/monitoring/docker-compose.yml",
                "com.docker.compose.project.working_dir": "/home/jon/homelab/monitoring",
                "com.docker.compose.service": "uptime-kuma",
                "com.docker.compose.version": "2.33.0"
            }
        },
        "NetworkSettings": {
            "Bridge": "",
            "SandboxID": "b58de695f453e9fc8417de8899b015e55c1720fa1a3efe92395495744f159b91",
            "SandboxKey": "/var/run/docker/netns/b58de695f453",
            "Ports": {
                "3001/tcp": [
                    {
                        "HostIp": "0.0.0.0",
                        "HostPort": "3001"
                    },
                    {
                        "HostIp": "::",
                        "HostPort": "3001"
                    }
                ]
            },
            "HairpinMode": false,
            "LinkLocalIPv6Address": "",
            "LinkLocalIPv6PrefixLen": 0,
            "SecondaryIPAddresses": null,
            "SecondaryIPv6Addresses": null,
            "EndpointID": "",
            "Gateway": "",
            "GlobalIPv6Address": "",
            "GlobalIPv6PrefixLen": 0,
            "IPAddress": "",
            "IPPrefixLen": 0,
            "IPv6Gateway": "",
            "MacAddress": "",
            "Networks": {
                "monitoring-net": {
                    "IPAMConfig": null,
                    "Links": null,
                    "Aliases": [
                        "uptime-kuma",
                        "uptime-kuma"
                    ],
                    "MacAddress": "02:42:ac:12:00:02",
                    "DriverOpts": null,
                    "NetworkID": "a8c08ace4629b810b1aef26214f36a44d41aa3e2dcc2a7f2df87da87cd118a05",
                    "EndpointID": "1ee6291893f9f04ea4846ed2b10adda29fa5eb513222ab20d5ceca40f8e3bef5",
                    "Gateway": "172.18.0.1",
                    "IPAddress": "172.18.0.2",
                    "IPPrefixLen": 16,
                    "IPv6Gateway": "",
                    "GlobalIPv6Address": "",
                    "GlobalIPv6PrefixLen": 0,
                    "DNSNames": [
                        "uptime-kuma",
                        "6fd14bae2376"
                    ]
                }
            }
        }
    }
]
